package com.bwie;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.bwie.domain.User;
import com.bwie.user.UserSpringBootApplication;
import com.bwie.user.mapper.UserMapper;
import com.bwie.user.service.impl.UserService;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

@SpringBootTest(classes = UserSpringBootApplication.class)
public class test {
    @Autowired
    private UserMapper userMapper;
    @Autowired
    private UserService userService;


    /**
     * MyBatis Plus 自带的insert方法
     */
    @Test
    public void userSave(){
        userMapper.insert(User.builder()
                .userName("安帅")
                .userPhone("17338049232")
                .userPwd("adminss")
                .userPic("http://124.223.156.14:8888/group1/M00/00/08/CgAEDWV6gd6AO6J9AAAqq0ERkPI646.png")
                .userRoal(Long.valueOf(1))
                .salt("1245")
                .build()
        );
    }

    @Test
    public void userListTest(){
        Page<User> page = new Page<>(1, 2);


    }


}
