package com.bwie.user;

import com.bwie.config.MybitsPlusConfig;
import com.bwie.handler.GlobalExceptionHandler;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.context.annotation.Import;

@SpringBootApplication(scanBasePackages = "com.bwie")
@EnableDiscoveryClient
@Import({MybitsPlusConfig.class, GlobalExceptionHandler.class})
public class UserSpringBootApplication {
    public static void main(String[] args) {
        SpringApplication.run(UserSpringBootApplication.class);
    }
}
